# Instalação

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Fazer core dumping do fsck me faz ficar nervoso

Não se preocupe! Embora o uso de algum software Beta possa causar alguma aflição, não é normal que a instalação do KDE destrua o seu disco rígido. De fato, este capítulo é planejado para guiá-lo através do processo de instalação de modo que possa dar uma olhada o mais rápido possivel na sua nova área de trabalho (e sem muita aflição). Como em todas as instalações de um novo Gerenciador de Janelas, é aconselhável fazer cópias de segurança dos arquivos de configuração específicos do X11 antes de começar a instalação. Se não sabe a localização exata deles, tente todos os arquivos ocultos (`.*`) no seu diretório base e no diretório `/usr/X11/lib/X11/xdm`.

## Requisitos

Antes de instalar o KDE, certifique-se que o seu sistema preenche os seguintes requisitos:

- Um sistema UNIX compatível POSIX. Dentre os UNIXs que reconhecidamente trabalham com o KDE estão o: Linux, FreeBSD, Solaris, HP-UX, e MkLinux. Estamos trabalhando para tornar o KDE disponível brevemente em mais plataformas.

- Algum espaço livre na partição do disco rígido onde `/opt/kde` vai ser criado. Recomendamos que você reserve cerca de 50MB se o seu sistema suportar bibliotecas compartilhadas, e consideravelmente mais se não. Se precisar ou quiser construir o KDE a partir da árvore de códigos fontes, por favor lembre-se de reservar cerca de 100MB em `/usr/src`.

- Um sistema X11 sendo executado com ou sem xdm. Se ainda não instalou o Sistema de Janelas X, primeiro procure na sua mída de instalação do UNIX por uma versão instalável. Se não conseguir encontrar nenhuma versão que funcione, visite O site web do XFree86 para mais informações em como obter e instalar o Sistema de Janelas X, ou contacte o seu vendedor de suporte UNIX.

- As bibliotecas Qt, versão 3.0.2. Você pode obtê-las em Servidor FTP da Troll Tech no formato tgz.

Um aviso antes de começar: Antes de atualizar a sua versão anterior do KDE, recomendamos que faça o seguinte:

    cd /opt/kde
    tar cfvz ~/KDE-versao-velha-backup.tar.gz *

## Linux: Instalando RPMs para o RedHat, Caldera e SuSE.

O uso de RPMs é a maneira mais fácil de instalar o KDE. Basta visitar o seu 'mirror' favorito do KDE e acessar o diretório `/pub/kde/stable/distribution/rpm`. Aí, você pode ver diretórios para diferentes sistemas operacionais. Atualmente, as arquitecturas i386, alpha e sparc são suportadas. Os pacotes RPM podem também ser encontrados em servidores com arquivos da Red Hat, como o sunsite.unc.edu ou ftp.redhat.com.

O sistema básico consiste dos arquivos `kde-componente.arquitetura.rpm` Você precisa pelo menos do kdesupport, do kdelibs e do kdebase. Depois de realizar a instalação básica, sinta-se à vontade para baixar quaisquer outros RPMs que pense ser útil.

A seguir, começar a instalar com o pacote básico. Se está instalando o KDE pela primeira vez, use

    rpm -i kdesupport.arch.rpm
    rpm -i kdelibs.arch.rpm
    rpm -i kdebase.arch.rpm

É importante que estes componentes sejam instalados na ordem indicada, e que sejam instalados antes de qualquer outro componente do KDE.

Se está atualizando uma versão anterior, tente

    rpm -Uvh kde-componente.arq.rpm

Mais uma vez, a ordem dada acima deve ser mantida, e estes componentes instalados antes de quaisquer outros componentes do KDE.

Isto irá desempacotar a distribuição básica e instalá-la por padrão em `/opt/kde`.

Se a instalação dos pacotes básicos for concluída com sucesso, você pode instalar os pacotes restantes (use `-Uvh` em vez de `-i` mais uma vez para atualizar uma versão existente) da mesma maneira.

## Linux: instalando DEBs para o debian

A instalação num sistema Debian é também bastante direta. Só irá encontrar pacotes KDE 2.0 para o Debian 2.2 (Potato) e 3.0 (Woody). Descreve-se aqui como instalar pacotes para o Debian 2.2., a versão estável, já que o Debian 3.0 está ainda em desenvolvimento. No entanto, a instalação de ambas as versões é quase idêntica. A maior diferença é o KDE ser oficialmente incluído no Debian 3.0 e não precisa de indicar nenhum local especial para encontrar os pacotes deb para o KDE.

O primeiro passo é dizer ao seu sistema onde pode encontrar os pacotes deb para o KDE. Uma lista de locais para os pacotes Debian é mantida no seu disco rígido em `/etc/apt/sources.list`. Deve acrescentar a esse arquivo a seguinte linha: `http://kde.tdyc.com/ stable kde2`

Em seguida tem que atualizar a sua base de dados local de pacotes para que o seu sistema saiba que existem novos pacotes disponíveis. Digite o seguinte comando:

    apt-get update

Finalmente deve instalar os componentes básicos do KDE. Isto é feito digitando:

    apt-get install kdebase

Se quiser instalar outros componentes você pode tentar algumas, ou todas estas opções:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Você pode também estar interessado em instalar suporte para seu idioma.

    apt-get install
    kde-i18n-xx

onde xx tem de ser substituído pelo código do país.

Os arquivos de controle de alguns aplicativos do KDE irão ser colocados em `/etc/kde2`, os executáveis irão para `/usr/bin` e a maioria dos arquivos auxiliares para `/usr/share` sob diferentes diretórios.

Se está atualizando uma versão anterior do KDE deve realizar os seguintes passos. Primeiro, atualize o arquivo `/etc/apt/sources.list` mudando a linha com a localização dos pacotes KDE com a linha: `http://kde.tdyc.com/ stable kde2`. Segundo atualize a sua base de dados de pacotes:

    apt-get update

Finalmente instale o sistema básico do KDE:

    apt-get install kdebase
    apt-get dist-upgrade

Se quiser instalar mais componentes do KDE tente algumas, ou todas estas opções.

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Utilizando o Código Fonte para Instalar em Cima de Outros Sistemas

Se a sua distribuição Linux não veio com um arquivo no formato RPM ou DEB, ou não está sequer usando o Linux, deve compilar o KDE você mesmo. No futuro, estamos planejando fonecer uma distribuição binária que inclua os seus próprios programas de instalação.

Para compilar e instalar o KDE corretamente, você deve ter os seguintes elementos instalados no seu disco rígido:

- Um compilador ANSI-C, por ex. o compilador GNU C.

- Um compilador ANSI-C++, por ex. o compilador GNU C++.

- O utilitário make.

- A versão de desenvolvimento 2.2 ou superior do Qt.

- A versão de desenvolvimento do X11 (os arquivos include estão muitas vezes em falta)

Assim que tiver todos os aplicativos auxiliares necessários, vá ao seu espelho KDE favorito e obtenha os seguintes arquivos do diretório `/pub/kde/stable/versão mais recente`:

- `kdesupport-versão.tar.gz`

- `kdelibs-versão.tar.gz`

- `kdebase-versão.tar.gz`

- qualquer outro pacote que deseje instalar. Aconselhamos a obter pelo menos o kdeutils.

Em todos os casos acima, versão aparece em vez do número da atual versão. Assim que tiver baixado todos os arquivos necessários, coloque esses arquivos em `/usr/src`. Este processo deve ter a seguinte estrutura de diretórios:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (todos os outros pacotes)

Tenha a certeza de que tem permissão de escrita para `/opt/kde`.

A seguir você deve compilar e instalar os pacotes usando o seguinte:

1. `cd` para o diretório do pacote, que quer instalar (veja acima)

2. `./configure` (com as opções que quer aplicar)

3. `make`

4. `make install`

Use os passos acima para todo o pacote que queira instalar.

Estas instruções podem ser usadas para quase todos os pacotes de fontes disponíveis, não só pacotes KDE.

Todos o 'scripts' de configuração têm várias opções disponíveis. Algumas são comuns entre pacotes enquanto que outras são específicas a um pacote em particular. O seguinte é parte do resultado de `configure `--help`` em kdelibs:

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Várias opções não são necessárias e são só úteis para contornar problemas conhecidos (por ex. `--disable-FEATURE`). Como algumas são opções importantes, por exemplo --with-shadow, deve verificar sempre as opções disponíveis.

Uma opção importante é `--prefix`. Esta opção especifica o caminho onde o configure deve instalar (para o kdesupport e o kdelibs) ou onde procurar bibliotecas (para os outros pacotes). Por padrão, configure irá procurar em `/opt/kde`. Se você quer instalar o KDE em `/usr/local/kde`, tem que usar `configure `--prefix /usr/local/kde``.

Se instalou as bibliotecas do Qt num local fora do normal, por exemplo em `$HOME/src/qt`, deve usar `configure `--with-qt-dir=$HOME/src/qt``. Por padrão o configure procura o Qt nos locais mais comuns antes de desistir.

Se tem problemas que não consegue resolver, mande uma cópia do arquivo `config.log` para o endereço no arquivo `README` do pacote em causa.

Você deve instalar o KDE na seguinte ordem: kdesupport, kdelibs, depois os pacotes dos aplicativos (por exemplo kdebase). Todos os pacotes dos aplicativos somente devem depender de kdelibs, para que possa compilá-los ao mesmo tempo (se tiver uma máquina poderosa).

Se quer tirar proveito dos sistemas multiprocessados, tente `make `-j Número de processadores`` em vez de `make`.

### Notas Específicas por Plataforma de Construção

#### Linux

Para o Linux, a maioria dos utilitários necessãrios para construir o KDE podem ser encontrados ou em ftp://sunsite.unc.edu/pub/Linux/GCC ou em ftp://sunsite.unc.edu/pub/GNU. As bibliotecas Qt podem ser encontradas em ftp://ftp.troll.no/pub/qt/linux, disponível em fontes ou formato RPM para Linux. Ambos contém instruções detalhadas de como instalá-los. Arquivos include para os programas X11 devem estar disponíveis em ftp://ftp.xfree86.org na seção xdevel.

## Mudanças Necessárias Aos Seus Arquivos de Configuração

Depois de colocar os binários KDE nos seus diretórios de destino, existem alguns ajustes necessários aos seus scrips de inicialização.

O procedimento seguinte foi testado no SuSE Linux 5.0 e deve ser também compatível com os outros UNIXs populares. Faça sempre cópias de segurança dos arquivos de configuração antes de alterá-los! Adicione o seguinte ao final do seu /etc/profile:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Em seguida, edite o arquivo .xinitrc no seu diretório base. Olhe para a linha que chama o seu gerenciador de janelas e substitua-a por `startkde`.

Agora que todo o necessário para executar o KDE está instalado, você pode ir para o capítulo 4 onde irá começar o KDE pela primeira vez. Se aguma coisa correr mal, pode precisar de compilar o KDE. Leia Usar a Compilação do Código Para Instalar por Cima de Outros Sistemas para mais informação.

Fizemos a instalação o mais robusta possível, por isso não deve encontrar problemas sérios a não ser que a sua configuração seja muito estranha. Se tiver dificuldades sinta-se á vontade para usar as listas de correio do KDE